(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     24008,        513]
NotebookOptionsPosition[     24437,        506]
NotebookOutlinePosition[     24895,        524]
CellTagsIndexPosition[     24852,        521]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Compatibility index stack visualisation for four observables", \
"Subsection",
 CellChangeTimes->{{3.664809896223098*^9, 3.664809943677902*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 0, $CellContext`d$$ = 
    0.75, $CellContext`o$$ = 0.1, $CellContext`q$$ = 4, $CellContext`t$$ = 4, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["Cases", 12, Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`t$$], 1, "No. of index-2 edges"}, {
      1 -> "0", 2 -> "1", 3 -> "2", 4 -> "3", 5 -> "4", 6 -> "5", 7 -> 
       "6"}}, {{
       Hold[$CellContext`q$$], 1, 
       Dynamic[
        StringJoin["Cases within (", 
         ToString[
          Length[
           Part[$CellContext`data, $CellContext`t$$]]], ")"]]}, 
      Dynamic[
       Range[
        Length[
         Part[$CellContext`data, $CellContext`t$$]]]]}, {
      Hold[
       Style["Display options", 12, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`b$$], 0, "Show trivial indexes"}, {0, 1}}, {{
       Hold[$CellContext`d$$], 0.75, "Distance"}, 0.01, 1.5}, {{
       Hold[$CellContext`o$$], 0.1, "Hypergraph opacity"}, 0, 1}, {
      Hold[
       Row[{
         ColorSlider[
          Dynamic[$CellContext`col1], AppearanceElements -> {"Swatch"}, 
          ImageSize -> {30, 20}], "Index-1 color", 
         Spacer[20], 
         ColorSlider[
          Dynamic[$CellContext`col2], AppearanceElements -> {"Swatch"}, 
          ImageSize -> {30, 20}], "Index-2 color", 
         Spacer[20], 
         ColorSlider[
          Dynamic[$CellContext`col3], AppearanceElements -> {"Swatch"}, 
          ImageSize -> {30, 20}], "Index-3 color", 
         Spacer[20], 
         ColorSlider[
          Dynamic[$CellContext`col4], AppearanceElements -> {"Swatch"}, 
          ImageSize -> {30, 20}], "Index-4 color"}, 
        Spacer[10]]], Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    750., {335., 342.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`t$29700$$ = 
    False, $CellContext`b$29701$$ = False, $CellContext`d$29702$$ = 
    0, $CellContext`o$29703$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 0, $CellContext`d$$ = 
        0.75, $CellContext`o$$ = 0.1, $CellContext`q$$ = 1, $CellContext`t$$ = 
        1}, "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$29700$$, False], 
        Hold[$CellContext`b$$, $CellContext`b$29701$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$29702$$, 0], 
        Hold[$CellContext`o$$, $CellContext`o$29703$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> (If[$CellContext`q$$ > Length[
           Part[$CellContext`data, $CellContext`t$$]], $CellContext`q$$ = 
         Length[
           Part[$CellContext`data, $CellContext`t$$]]]; $CellContext`comp = {
          Directive[
           Opacity[1], $CellContext`col1], 
          Directive[
           Opacity[$CellContext`b$$], $CellContext`col2], 
          Directive[
           Opacity[0.65 - $CellContext`d$$/4], 
           EdgeForm[
            Opacity[(2 $CellContext`d$$ + 1)/4]], $CellContext`col1], 
          Directive[
           Opacity[0.65 - $CellContext`d$$/4], 
           EdgeForm[
            Opacity[(2 $CellContext`d$$ + 1)/4]], $CellContext`col2], 
          Directive[
           Opacity[$CellContext`b$$ (0.65 - $CellContext`d$$/4)], 
           EdgeForm[
            
            Opacity[$CellContext`b$$ ((2 $CellContext`d$$ + 1)/
              4)]], $CellContext`col3], 
          Directive[
           Opacity[0.65 - $CellContext`d$$/4], 
           EdgeForm[
            Opacity[(2 $CellContext`d$$ + 1)/6]], $CellContext`col1], 
          Directive[
           Opacity[0.65 - $CellContext`d$$/4], 
           EdgeForm[
            Opacity[(2 $CellContext`d$$ + 1)/4]], $CellContext`col2], 
          Directive[
           Opacity[0.65 - $CellContext`d$$/4], 
           EdgeForm[
            Opacity[(2 $CellContext`d$$ + 1)/4]], $CellContext`col3], 
          Directive[
           Opacity[$CellContext`b$$ (0.65 - $CellContext`d$$/4)], 
           EdgeForm[
            
            Opacity[$CellContext`b$$ ((2 $CellContext`d$$ + 1)/
              4)]], $CellContext`col4]}; Graphics3D[{{
           Directive[Gray, 
            Opacity[$CellContext`o$$]], 
           
           Sphere[$CellContext`V + $CellContext`d$$ $CellContext`Vdir, 
            0.07]}, {
           Directive[Gray, Thin, 
            Opacity[$CellContext`o$$]], 
           Line[$CellContext`edges + $CellContext`d$$ $CellContext`EVdir]}, {
           Directive[$CellContext`col1, 
            Opacity[$CellContext`b$$]], 
           
           Sphere[$CellContext`V + $CellContext`d$$ $CellContext`Vdir, 
            0.08]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 3, 
             1]], 
           PolyhedronData["Tetrahedron", "Faces"]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             1]], 
           Tube[
           Part[$CellContext`edges, 1] + $CellContext`d$$ 
             Part[$CellContext`Edir, 1], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             2]], 
           Tube[
           Part[$CellContext`edges, 2] + $CellContext`d$$ 
             Part[$CellContext`Edir, 2], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             3]], 
           Tube[
           Part[$CellContext`edges, 3] + $CellContext`d$$ 
             Part[$CellContext`Edir, 3], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             4]], 
           Tube[
           Part[$CellContext`edges, 4] + $CellContext`d$$ 
             Part[$CellContext`Edir, 4], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             5]], 
           Tube[
           Part[$CellContext`edges, 5] + $CellContext`d$$ 
             Part[$CellContext`Edir, 5], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 1, 
             6]], 
           Tube[
           Part[$CellContext`edges, 6] + $CellContext`d$$ 
             Part[$CellContext`Edir, 6], 0.02]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 2, 
             1]], 
           Polygon[
           Part[$CellContext`faces, 1] + $CellContext`d$$ 
             Part[$CellContext`Fdir, 1]]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 2, 
             2]], 
           Polygon[
           Part[$CellContext`faces, 2] + $CellContext`d$$ 
             Part[$CellContext`Fdir, 2]]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 2, 
             3]], 
           Polygon[
           Part[$CellContext`faces, 3] + $CellContext`d$$ 
             Part[$CellContext`Fdir, 3]]}, {
           Part[$CellContext`comp, 
            
            Part[$CellContext`data, $CellContext`t$$, $CellContext`q$$, 2, 
             4]], 
           Polygon[
           Part[$CellContext`faces, 4] + $CellContext`d$$ 
             Part[$CellContext`Fdir, 4]]}}, Boxed -> False, 
         ViewPoint -> {-1.2, -1, 0.4}, PlotRange -> Transpose[
           N[{Map[Min, 
               Transpose[$CellContext`V + 1.5 $CellContext`Vdir]] - 0.1, 
             Map[Max, 
               Transpose[$CellContext`V + 1.5 $CellContext`Vdir]] + 0.1}]], 
         Lighting -> "Neutral", ImageSize -> 600]), "Specifications" :> {
        Style[
        "Cases", 12, Bold], {{$CellContext`t$$, 1, "No. of index-2 edges"}, {
         1 -> "0", 2 -> "1", 3 -> "2", 4 -> "3", 5 -> "4", 6 -> "5", 7 -> 
          "6"}, ControlType -> Setter}, {{$CellContext`q$$, 1, 
          Dynamic[
           StringJoin["Cases within (", 
            ToString[
             Length[
              Part[$CellContext`data, $CellContext`t$$]]], ")"]]}, 
         Dynamic[
          Range[
           Length[
            Part[$CellContext`data, $CellContext`t$$]]]], ControlType -> 
         Setter}, Delimiter, 
        Style[
        "Display options", 12, 
         Bold], {{$CellContext`b$$, 0, "Show trivial indexes"}, {0, 
         1}}, {{$CellContext`d$$, 0.75, "Distance"}, 0.01, 
         1.5}, {{$CellContext`o$$, 0.1, "Hypergraph opacity"}, 0, 1}, 
        Row[{
          ColorSlider[
           Dynamic[$CellContext`col1], AppearanceElements -> {"Swatch"}, 
           ImageSize -> {30, 20}], "Index-1 color", 
          Spacer[20], 
          ColorSlider[
           Dynamic[$CellContext`col2], AppearanceElements -> {"Swatch"}, 
           ImageSize -> {30, 20}], "Index-2 color", 
          Spacer[20], 
          ColorSlider[
           Dynamic[$CellContext`col3], AppearanceElements -> {"Swatch"}, 
           ImageSize -> {30, 20}], "Index-3 color", 
          Spacer[20], 
          ColorSlider[
           Dynamic[$CellContext`col4], AppearanceElements -> {"Swatch"}, 
           ImageSize -> {30, 20}], "Index-4 color"}, 
         Spacer[10]]}, "Options" :> {ControlPlacement -> Top}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{805., {492., 499.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({{$CellContext`q$$ = 
         4, $CellContext`data = {{{{1, 1, 1, 1, 1, 1}, {3, 3, 3, 3}, {6}}, {{
             1, 1, 1, 1, 1, 1}, {3, 3, 3, 3}, {7}}, {{1, 1, 1, 1, 1, 1}, {3, 
             3, 3, 4}, {7}}, {{1, 1, 1, 1, 1, 1}, {3, 3, 4, 4}, {7}}, {{1, 1, 
             1, 1, 1, 1}, {3, 4, 4, 4}, {7}}, {{1, 1, 1, 1, 1, 1}, {4, 4, 4, 
             4}, {7}}}, {{{1, 1, 1, 1, 1, 2}, {4, 3, 3, 4}, {7}}, {{1, 1, 1, 
             1, 1, 2}, {4, 3, 4, 4}, {7}}, {{1, 1, 1, 1, 1, 2}, {4, 4, 4, 
             4}, {7}}}, {{{1, 1, 1, 1, 2, 2}, {4, 3, 4, 4}, {7}}, {{1, 1, 1, 
             1, 2, 2}, {4, 4, 4, 4}, {7}}, {{2, 1, 1, 1, 1, 2}, {4, 4, 4, 
             4}, {7}}}, {{{2, 1, 1, 2, 1, 2}, {4, 4, 4, 4}, {7}}, {{2, 2, 1, 
             2, 1, 1}, {4, 4, 4, 4}, {7}}, {{2, 2, 1, 2, 1, 1}, {4, 4, 4, 
             4}, {8}}, {{2, 2, 1, 2, 1, 1}, {4, 5, 4, 4}, {8}}, {{1, 1, 2, 1, 
             2, 2}, {4, 3, 4, 4}, {7}}, {{1, 1, 2, 1, 2, 2}, {4, 4, 4, 4}, {
             7}}, {{1, 1, 2, 1, 2, 2}, {4, 4, 4, 4}, {8}}}, {{{2, 2, 2, 2, 1, 
             1}, {4, 4, 4, 4}, {7}}, {{2, 2, 2, 2, 1, 1}, {4, 4, 4, 4}, {
             8}}, {{2, 2, 2, 2, 1, 1}, {4, 5, 4, 4}, {8}}, {{1, 2, 2, 2, 2, 
             1}, {4, 4, 4, 4}, {7}}}, {{{2, 2, 2, 2, 2, 1}, {4, 4, 4, 4}, {
             7}}, {{2, 2, 2, 2, 2, 1}, {4, 4, 4, 4}, {8}}, {{2, 2, 2, 2, 2, 
             1}, {4, 5, 4, 4}, {8}}, {{2, 2, 2, 2, 2, 1}, {4, 5, 5, 4}, {
             8}}}, {{{2, 2, 2, 2, 2, 2}, {4, 4, 4, 4}, {7}}, {{2, 2, 2, 2, 2, 
             2}, {4, 4, 4, 4}, {8}}, {{2, 2, 2, 2, 2, 2}, {4, 4, 4, 5}, {
             8}}, {{2, 2, 2, 2, 2, 2}, {4, 4, 5, 5}, {8}}, {{2, 2, 2, 2, 2, 
             2}, {4, 5, 5, 5}, {8}}, {{2, 2, 2, 2, 2, 2}, {5, 5, 5, 5}, {
             8}}, {{2, 2, 2, 2, 2, 2}, {5, 5, 5, 5}, {9}}}}, $CellContext`t$$ = 
         4, $CellContext`comp = {
           Directive[
            Opacity[1], 
            RGBColor[0.9861600671396964, 1., 0.06683451590753033]], 
           Directive[
            Opacity[1], 
            Hue[0.6, 0.8, 0.9]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            RGBColor[0.9861600671396964, 1., 0.06683451590753033]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            Hue[0.6, 0.8, 0.9]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            Hue[0.3, 0.6, 0.7]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.45933333333333337`]], 
            RGBColor[0.9861600671396964, 1., 0.06683451590753033]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            Hue[0.6, 0.8, 0.9]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            Hue[0.3, 0.6, 0.7]], 
           Directive[
            Opacity[0.4305], 
            EdgeForm[
             Opacity[0.6890000000000001]], 
            Hue[0, 1, 0.5]]}, $CellContext`col1 = 
         RGBColor[
          0.9861600671396964, 1., 0.06683451590753033], $CellContext`col2 = 
         Hue[0.6, 0.8, 0.9], $CellContext`col3 = 
         Hue[0.3, 0.6, 0.7], $CellContext`col4 = 
         Hue[0, 1, 0.5], $CellContext`V = {{
           0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), (-1)/2, (-1)/(
            2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), 1/2, (-1)/(2 Sqrt[6])}, {
           1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}}, $CellContext`Vdir = {{0, 0, 
           1}, {-Sqrt[2]/3, -Sqrt[2/3], (-1)/3}, {-Sqrt[2]/3, 
            Sqrt[2/3], (-1)/3}, {(2 Sqrt[2])/3, 0, (-1)/
            3}}, $CellContext`edges = {{{
            0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), (-1)/
             2, (-1)/(2 Sqrt[6])}}, {{
            0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), 1/2, (-1)/(2 
             Sqrt[6])}}, {{0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}}, {{(-1)/(2 Sqrt[3]), (-1)/
             2, (-1)/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), 1/2, (-1)/(2 
             Sqrt[6])}}, {{(-1)/(2 Sqrt[3]), (-1)/2, (-1)/(2 Sqrt[6])}, {
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}}, {{(-1)/(2 Sqrt[3]), 1/2, (-1)/(
             2 Sqrt[6])}, {
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}}}, $CellContext`EVdir = {{{0, 0, 
            1}, {-Sqrt[2]/3, -Sqrt[2/3], (-1)/3}}, {{0, 0, 1}, {-Sqrt[2]/3, 
             Sqrt[2/3], (-1)/3}}, {{0, 0, 
            1}, {(2 Sqrt[2])/3, 0, (-1)/3}}, {{-Sqrt[2]/3, -Sqrt[2/3], (-1)/
             3}, {-Sqrt[2]/3, 
             Sqrt[2/3], (-1)/3}}, {{-Sqrt[2]/3, -Sqrt[2/3], (-1)/
             3}, {(2 Sqrt[2])/3, 0, (-1)/3}}, {{-Sqrt[2]/3, 
             Sqrt[2/3], (-1)/3}, {(2 Sqrt[2])/3, 0, (-1)/
             3}}}, $CellContext`Edir = {{{-Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), -
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4]), ((Sqrt[2/3] - 1/Sqrt[
               6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}, {-
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), -
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4]), ((Sqrt[2/3] - 1/Sqrt[
               6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}}, {{-
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), 
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4]), ((Sqrt[2/3] - 1/Sqrt[
               6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}, {-
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), 
             Cos[ArcCos[(-1)/3]/2]/(4 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4]), ((Sqrt[2/3] - 1/Sqrt[
               6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}}, {{
            Cos[ArcCos[(-1)/3]/2]/(2 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), 
             0, ((Sqrt[2/3] - 1/Sqrt[6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}, {
            Cos[ArcCos[(-1)/3]/2]/(2 
             Sqrt[3 (1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4)]), 
             0, ((Sqrt[2/3] - 1/Sqrt[6]) Cos[ArcCos[(-1)/3]/2])/(2 
             Sqrt[1/12 + (Sqrt[2/3] - 1/Sqrt[6])^2/4])}}, {{-(Sqrt[2/3] 
              Cos[ArcCos[(-1)/3]/2]), 
             0, -(Cos[ArcCos[(-1)/3]/2]/Sqrt[3])}, {-(Sqrt[2/3] 
              Cos[ArcCos[(-1)/3]/2]), 
             0, -(Cos[ArcCos[(-1)/3]/2]/Sqrt[3])}}, {{
            Cos[ArcCos[(-1)/3]/2]/Sqrt[
             6], -(Cos[ArcCos[(-1)/3]/2]/Sqrt[2]), -(Cos[ArcCos[(-1)/3]/2]/
              Sqrt[3])}, {
            Cos[ArcCos[(-1)/3]/2]/Sqrt[
             6], -(Cos[ArcCos[(-1)/3]/2]/Sqrt[2]), -(Cos[ArcCos[(-1)/3]/2]/
              Sqrt[3])}}, {{
            Cos[ArcCos[(-1)/3]/2]/Sqrt[6], Cos[ArcCos[(-1)/3]/2]/Sqrt[
             2], -(Cos[ArcCos[(-1)/3]/2]/Sqrt[3])}, {
            Cos[ArcCos[(-1)/3]/2]/Sqrt[6], Cos[ArcCos[(-1)/3]/2]/Sqrt[
             2], -(Cos[ArcCos[(-1)/3]/2]/Sqrt[
              3])}}}, $CellContext`faces = {{{(-1)/(2 Sqrt[3]), (-1)/2, (-1)/(
             2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), 1/2, (-1)/(2 Sqrt[6])}, {
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}}, {{(-1)/(2 Sqrt[3]), 1/2, (-1)/(
             2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), (-1)/2, (-1)/(2 Sqrt[6])}, {
            0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}}, {{
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}, {
            0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), (-1)/
             2, (-1)/(2 Sqrt[6])}}, {{0, 0, Sqrt[2/3] - 1/(2 Sqrt[6])}, {
            1/Sqrt[3], 0, (-1)/(2 Sqrt[6])}, {(-1)/(2 Sqrt[3]), 1/2, (-1)/(2 
             Sqrt[6])}}}, $CellContext`Fdir = {{{0, 0, (-1)/3}, {
            0, 0, (-1)/3}, {
            0, 0, (-1)/3}}, {{(-1)/(9 
             Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 
             0, (Sqrt[2/3] - Sqrt[3/2]/2)/(9 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {(-1)/(9 
             Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 
             0, (Sqrt[2/3] - Sqrt[3/2]/2)/(9 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {(-1)/(9 
             Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 
             0, (Sqrt[2/3] - Sqrt[3/2]/2)/(9 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}}, {{
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), (-1)/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), (-1)/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), (-1)/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}}, {{
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 1/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 1/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9])}, {
            1/(18 Sqrt[3 (1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9)]), 1/(18 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/9]), (Sqrt[2/3] - 
              Sqrt[3/2]/2)/(9 
             Sqrt[1/27 + (Sqrt[2/3] - Sqrt[3/2]/2)^2/
                9])}}}}; {$CellContext`t$$ = 4, $CellContext`q$$ = 
         4, $CellContext`col1 = Hue[0.08, 1, 1], $CellContext`col2 = 
         Hue[0.6, 0.8, 0.9], $CellContext`col3 = 
         Hue[0.3, 0.6, 0.7], $CellContext`col4 = Hue[0, 1, 0.5]}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.664806617094183*^9, 3.664806641792809*^9}, 
   3.66480667385043*^9, 3.6648070510453997`*^9, {3.6648070882530003`*^9, 
   3.664807129501655*^9}, {3.664807176307213*^9, 3.664807199189986*^9}, {
   3.664807244988449*^9, 3.664807336861733*^9}, {3.6648074559348173`*^9, 
   3.6648074695541687`*^9}, 3.6648098264813223`*^9, {3.666077516672014*^9, 
   3.6660775323055964`*^9}, {3.666077701338937*^9, 3.666077718764928*^9}, 
   3.6660777709802856`*^9, {3.666077862990843*^9, 3.666077877912345*^9}, {
   3.6660779395838223`*^9, 3.666078038305952*^9}, 3.666078153388196*^9, {
   3.666078224339102*^9, 3.666078247588626*^9}, 3.666078432318688*^9, {
   3.666078480969995*^9, 3.6660785094122477`*^9}, {3.666091373568493*^9, 
   3.666091399402657*^9}, 3.6660917475902643`*^9, {3.666091803664263*^9, 
   3.666091824546029*^9}, {3.666091911695302*^9, 3.666091947242721*^9}, {
   3.666092070536127*^9, 3.666092075581793*^9}, 3.6660921421059027`*^9, 
   3.666092177430497*^9, {3.666092248736966*^9, 3.666092306427247*^9}, {
   3.666092362686537*^9, 3.666092412728553*^9}, 3.666092464606391*^9}],

Cell["\<\
Case study for compatibility index for four observables (tetrahedron corners) \
and their subsets:
- edges colors depict compatibility index between pairs of observables
- faces colors depict compatibility index of triplets of observables
- bulk represents compatibility index for the whole quadruplet of observables

Distance slider unwraps the tetrahedron elements for clarity. Possibilities \
are first grouped by the number of index-2 edges, i.e. pairs of incompatible \
measurements within the set. Each group then contains cases within. Trivial \
elements (index-1 vertices, index-2 edges, index-3 faces or index-4 bulk) are \
not displayed, however can be shown.\
\>", "Text",
 CellChangeTimes->{{3.664807497863451*^9, 3.664807510575379*^9}, {
  3.6648075495690937`*^9, 3.664807574217184*^9}, {3.664807635756023*^9, 
  3.664807742720614*^9}, {3.664808133021083*^9, 3.664808149287835*^9}, {
  3.6648081916103687`*^9, 3.664808334430593*^9}, {3.666092333257442*^9, 
  3.6660923381612797`*^9}}]
}, Open  ]]
},
WindowSize->{1097, 1049},
WindowMargins->{{147, Automatic}, {Automatic, 74}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (June 27, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 150, 2, 54, "Subsection"],
Cell[1639, 39, 21772, 445, 1011, "Output"],
Cell[23414, 486, 1007, 17, 204, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature buT#4HSkvxxQJAKcjqQ1UhIE *)
